Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce.provider
Class JDKDigestSignature

    java.lang.Object
      |
      +--java.security.SignatureSpi
            |
            +--java.security.Signature
                  |
                  +--org.bouncycastle.jce.provider.JDKDigestSignature

All Implemented Interfaces:
  PKCSObjectIdentifiers, X509ObjectIdentifiers

Direct Known Subclasses:
  JDKDigestSignature.MD2WithRSAEncryption, JDKDigestSignature.MD4WithRSAEncryption, JDKDigestSignature.MD5WithRSAEncryption, JDKDigestSignature.RIPEMD128WithRSAEncryption, JDKDigestSignature.RIPEMD160WithRSAEncryption, JDKDigestSignature.RIPEMD256WithRSAEncryption, JDKDigestSignature.SHA1WithRSAEncryption, JDKDigestSignature.SHA224WithRSAEncryption, JDKDigestSignature.SHA256WithRSAEncryption, JDKDigestSignature.SHA384WithRSAEncryption, JDKDigestSignature.SHA512WithRSAEncryption

public class JDKDigestSignature
extends java.security.Signature
implements PKCSObjectIdentifiers, X509ObjectIdentifiers

Inner Class Summary
`static class` | `JDKDigestSignature.MD2WithRSAEncryption`
`static class` | `JDKDigestSignature.MD4WithRSAEncryption`
`static class` | `JDKDigestSignature.MD5WithRSAEncryption`
`static class` | `JDKDigestSignature.RIPEMD128WithRSAEncryption`
`static class` | `JDKDigestSignature.RIPEMD160WithRSAEncryption`
`static class` | `JDKDigestSignature.RIPEMD256WithRSAEncryption`
`static class` | `JDKDigestSignature.SHA1WithRSAEncryption`
`static class` | `JDKDigestSignature.SHA224WithRSAEncryption`
`static class` | `JDKDigestSignature.SHA256WithRSAEncryption`
`static class` | `JDKDigestSignature.SHA384WithRSAEncryption`
`static class` | `JDKDigestSignature.SHA512WithRSAEncryption`

Fields inherited from class java.security.Signature
`SIGN, state, UNINITIALIZED, VERIFY`

Fields inherited from class java.security.SignatureSpi
`appRandom`

Fields inherited from interface org.bouncycastle.asn1.pkcs.PKCSObjectIdentifiers
`bagtypes, canNotDecryptAny, certBag, crlBag, data, des_EDE3_CBC, dhKeyAgreement, digestAlgorithm, digestedData, encryptedData, encryptionAlgorithm, envelopedData, id_aa, id_aa_commitmentType, id_aa_contentIdentifier, id_aa_encrypKeyPref, id_aa_otherSigCert, id_aa_signatureTimeStampToken, id_aa_signerLocation, id_aa_signingCertificate, id_aa_sigPolicyId, id_alg_PWRI_KEK, id_ct, id_ct_compressedData, id_ct_TSTInfo, id_cti, id_cti_ets_proofOfApproval, id_cti_ets_proofOfCreation, id_cti_ets_proofOfDelivery, id_cti_ets_proofOfOrigin, id_cti_ets_proofOfReceipt, id_cti_ets_proofOfSender, id_hmacWithSHA1, id_hmacWithSHA224, id_hmacWithSHA256, id_hmacWithSHA384, id_hmacWithSHA512, id_mgf1, id_PBES2, id_PBKDF2, id_pSpecified, id_RSAES_OAEP, id_RSASSA_PSS, keyBag, md2, md2WithRSAEncryption, md4, md4WithRSAEncryption, md5, md5WithRSAEncryption, pbeWithMD2AndDES_CBC, pbeWithMD2AndRC2_CBC, pbeWithMD5AndDES_CBC, pbeWithMD5AndRC2_CBC, pbeWithSHA1AndDES_CBC, pbeWithSHA1AndRC2_CBC, pbeWithSHAAnd128BitRC2_CBC, pbeWithSHAAnd128BitRC4, pbeWithSHAAnd2_KeyTripleDES_CBC, pbeWithSHAAnd3_KeyTripleDES_CBC, pbewithSHAAnd40BitRC2_CBC, pbeWithSHAAnd40BitRC4, pkcs_1, pkcs_12, pkcs_12PbeIds, pkcs_3, pkcs_5, pkcs_7, pkcs_9, pkcs_9_at_challengePassword, pkcs_9_at_contentType, pkcs_9_at_counterSignature, pkcs_9_at_emailAddress, pkcs_9_at_extendedCertificateAttributes, pkcs_9_at_extensionRequest, pkcs_9_at_friendlyName, pkcs_9_at_localKeyId, pkcs_9_at_messageDigest, pkcs_9_at_signingDescription, pkcs_9_at_signingTime, pkcs_9_at_smimeCapabilities, pkcs_9_at_unstructuredAddress, pkcs_9_at_unstructuredName, pkcs8ShroudedKeyBag, preferSignedData, RC2_CBC, rsaEncryption, safeContentsBag, secretBag, sha1WithRSAEncryption, sha224WithRSAEncryption, sha256WithRSAEncryption, sha384WithRSAEncryption, sha512WithRSAEncryption, signedAndEnvelopedData, signedData, sMIMECapabilitiesVersions, srsaOAEPEncryptionSET, x509certType`

Fields inherited from interface org.bouncycastle.asn1.x509.X509ObjectIdentifiers
`commonName, countryName, id, id_ea_rsa, id_SHA1, localityName, ocspAccessMethod, organization, organizationalUnitName, ripemd160, ripemd160WithRSAEncryption, stateOrProvinceName`

Constructor Summary
`protected` | `JDKDigestSignature(java.lang.String name, DERObjectIdentifier objId, Digest digest, AsymmetricBlockCipher cipher)`

Method Summary
`protected java.lang.Object` | `engineGetParameter(java.lang.String param)` Deprecated.
`protected void` | `engineInitSign(java.security.PrivateKey privateKey)`
`protected void` | `engineInitVerify(java.security.PublicKey publicKey)`
`protected void` | `engineSetParameter(java.security.spec.AlgorithmParameterSpec params)`
`protected void` | `engineSetParameter(java.lang.String param, java.lang.Object value)` Deprecated. replaced with
`protected byte[]` | `engineSign()`
`protected void` | `engineUpdate(byte b)`
`protected void` | `engineUpdate(byte[] b, int off, int len)`
`protected boolean` | `engineVerify(byte[] sigBytes)`

Methods inherited from class java.security.Signature
`clone, getAlgorithm, getInstance, getInstance, getParameter, getProvider, initSign, initSign, initVerify, initVerify, setParameter, setParameter, sign, sign, toString, update, update, update, verify`

Methods inherited from class java.security.SignatureSpi
`engineInitSign, engineSign`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JDKDigestSignature

    protected JDKDigestSignature(java.lang.String name,
                                 DERObjectIdentifier objId,
                                 Digest digest,
                                 AsymmetricBlockCipher cipher)

Method Detail

### engineInitVerify

    protected void engineInitVerify(java.security.PublicKey publicKey)
                             throws java.security.InvalidKeyException

  Overrides:
    `engineInitVerify` in class `java.security.SignatureSpi`

### engineInitSign

    protected void engineInitSign(java.security.PrivateKey privateKey)
                           throws java.security.InvalidKeyException

  Overrides:
    `engineInitSign` in class `java.security.SignatureSpi`

### engineUpdate

    protected void engineUpdate(byte b)
                         throws java.security.SignatureException

  Overrides:
    `engineUpdate` in class `java.security.SignatureSpi`

### engineUpdate

    protected void engineUpdate(byte[] b,
                                int off,
                                int len)
                         throws java.security.SignatureException

  Overrides:
    `engineUpdate` in class `java.security.SignatureSpi`

### engineSign

    protected byte[] engineSign()
                         throws java.security.SignatureException

  Overrides:
    `engineSign` in class `java.security.SignatureSpi`

### engineVerify

    protected boolean engineVerify(byte[] sigBytes)
                            throws java.security.SignatureException

  Overrides:
    `engineVerify` in class `java.security.SignatureSpi`

### engineSetParameter

    protected void engineSetParameter(java.security.spec.AlgorithmParameterSpec params)

  Overrides:
    `engineSetParameter` in class `java.security.SignatureSpi`

### engineSetParameter

    protected void engineSetParameter(java.lang.String param,
                                      java.lang.Object value)

  Deprecated. replaced with

  Overrides:
    `engineSetParameter` in class `java.security.SignatureSpi`

### engineGetParameter

    protected java.lang.Object engineGetParameter(java.lang.String param)

  Deprecated.

  Overrides:
    `engineGetParameter` in class `java.security.SignatureSpi`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD